## fbzx 2.10.0

=== Makefile ===
ifdef PREFIX
        PREFIX2=$(PREFIX)/usr
else
        PREFIX2=/usr/local
endif

CFLAGS += `pkg-config --cflags sdl libpulse-simple alsa` -O2 -Wno-pointer-sign -Wall -D D_SOUND_PULSE -D D_SOUND_ALSA -D D_SOUND_OSS
LDFLAGS += `pkg-config --libs sdl libpulse-simple alsa`

fbzx: computer.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o emulator.o cargador.o characters.o menus.o sound.o tape.o spk_ay.o microdrive.o

	$(CC) -o fbzx computer.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o emulator.o cargador.o characters.o menus.o sound.o tape.o spk_ay.o microdrive.o $(LDFLAGS)

clean:
	rm fbzx *.o *~

install:
	rm -f $(PREFIX2)/bin/fbzx
	cp fbzx $(PREFIX2)/bin
	mkdir -p $(PREFIX2)/share/fbzx
	mkdir -p $(PREFIX2)/share/spectrum-roms
	mkdir -p $(PREFIX2)/share/applications
	mkdir -p $(PREFIX2)/share/pixmaps
	mkdir -p $(PREFIX2)/share/doc/fbzx
	cp spectrum-roms/* $(PREFIX2)/share/spectrum-roms
	cp keymap.bmp $(PREFIX2)/share/fbzx
	cp fbzx.desktop $(PREFIX2)/share/applications
	cp fbzx.svg $(PREFIX2)/share/pixmaps
	cp AMSTRAD CAPABILITIES COPYING FAQ README README.TZX VERSIONS $(PREFIX2)/share/doc/fbzx/
	chmod 644 $(PREFIX2)/share/fbzx/*
	chmod 644 $(PREFIX2)/share/spectrum-roms/*
	chmod 644 $(PREFIX2)/share/doc/fbzx/*

uninstall:
	rm -f $(PREFIX2)/bin/fbzx
	rm -rf $(PREFIX2)/share/fbzx
	rm -f $(PREFIX2)/share/applications/fbzx.desktop
	rm -f $(PREFIX2)/share/pixmaps/fbzx.svg
	rm -rf $(PREFIX2)/share/doc/fbzx
	rm -rf $(PREFIX2)/share/spectrum-roms

spk_ay.o: spk_ay.c spk_ay.h emulator.h sound.h computer.h z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o spk_ay.o spk_ay.c

microdrive.o: microdrive.c microdrive.h z80free/Z80free.h computer.h emulator.h z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o microdrive.o microdrive.c

sound.o: sound.c sound.h computer.h emulator.h z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o sound.o sound.c

emulator.o: emulator.c z80free/Z80free.h computer.h emulator.h characters.h menus.h cargador.h sound.h tape.h microdrive.h
	$(CC) $(CFLAGS) -c -o emulator.o emulator.c

computer.o: computer.c z80free/Z80free.h computer.h emulator.h characters.h menus.h cargador.h sound.h tape.h spk_ay.h microdrive.h
	$(CC) $(CFLAGS) -c -o computer.o computer.c

tape.o: tape.c z80free/Z80free.h computer.h emulator.h menus.h tape.h computer.h
	$(CC) $(CFLAGS) -c -o tape.o tape.c

cargador.o: cargador.c cargador.h computer.h emulator.h z80free/Z80free.h characters.h menus.h computer.h
	$(CC) $(CFLAGS) -c -o cargador.o cargador.c

characters.o: characters.c characters.h emulator.h computer.h
	$(CC) $(CFLAGS) -c -o characters.o characters.c

menus.o: menus.c menus.h characters.h computer.h emulator.h z80free/Z80free.h cargador.h tape.h
	$(CC) $(CFLAGS) -c -o menus.o menus.c

Z80free.o: z80free/Z80free.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free.o z80free/Z80free.c

Z80free_codes.o: z80free/Z80free_codes.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free_codes.o z80free/Z80free_codes.c
	
Z80free_codesCB.o: z80free/Z80free_codesCB.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free_codesCB.o z80free/Z80free_codesCB.c

Z80free_codesED.o: z80free/Z80free_codesED.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free_codesED.o z80free/Z80free_codesED.c
	
Z80free_codesDD.o: z80free/Z80free_codesDD.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free_codesDD.o z80free/Z80free_codesDD.c
	
Z80free_codesFD.o: z80free/Z80free_codesFD.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free_codesFD.o z80free/Z80free_codesFD.c

Z80free_codesDDCB.o: z80free/Z80free_codesDDCB.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free_codesDDCB.o z80free/Z80free_codesDDCB.c
	
Z80free_codesFDCB.o: z80free/Z80free_codesFDCB.c z80free/Z80free.h
	$(CC) $(CFLAGS) -c -o Z80free_codesFDCB.o z80free/Z80free_codesFDCB.c

=== debian/changelog ===
fbzx (2.10.0-1) unstable; urgency=medium

  * Initial release. Closes: #745930.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Apr 2014 14:05:08 +0200

=== debian/control ===
Source: fbzx
Section: contrib/otherosfs
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.5
Build-Depends: libsdl1.2-dev, debhelper (>= 9)
Homepage: http://www.rastersoft.com/fbzx.html
Vcs-Git: https://github.com/rastersoft/fbzx
Vcs-Browser: https://github.com/rastersoft/fbzx

Package: fbzx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, spectrum-roms (>=20081224-1)
Description: ZX Spectrum emulator
 FBZX is a Sinclair ZX Spectrum emulator for Linux/Unix. It
 can work over X or in a FrameBuffer console.

## fbzx 3.0.0

=== Makefile ===
ifdef PREFIX
        PREFIX2=$(PREFIX)/usr
else
        PREFIX2=/usr/local
endif

all:
	cd src && $(MAKE)

clean:
	rm -f src/fbzx src/*.o src/*~

install:
	rm -f $(PREFIX2)/bin/fbzx
	cp src/fbzx $(PREFIX2)/bin
	mkdir -p $(PREFIX2)/share/fbzx
	mkdir -p $(PREFIX2)/share/spectrum-roms
	mkdir -p $(PREFIX2)/share/applications
	mkdir -p $(PREFIX2)/share/pixmaps
	mkdir -p $(PREFIX2)/share/doc/fbzx
	mkdir -p $(PREFIX2)/share/appdata
	cp data/spectrum-roms/* $(PREFIX2)/share/spectrum-roms
	cp data/keymap.bmp $(PREFIX2)/share/fbzx
	cp data/fbzx.desktop $(PREFIX2)/share/applications
	cp data/fbzx.svg $(PREFIX2)/share/pixmaps
	cp AMSTRAD CAPABILITIES COPYING FAQ README README.TZX VERSIONS $(PREFIX2)/share/doc/fbzx/
	cp fbzx.appdata.xml $(PREFIX2)/share/appdata/
	chmod 644 $(PREFIX2)/share/fbzx/*
	chmod 644 $(PREFIX2)/share/spectrum-roms/*
	chmod 644 $(PREFIX2)/share/doc/fbzx/*

uninstall:
	rm -f $(PREFIX2)/bin/fbzx
	rm -rf $(PREFIX2)/share/fbzx
	rm -f $(PREFIX2)/share/applications/fbzx.desktop
	rm -f $(PREFIX2)/share/pixmaps/fbzx.svg
	rm -rf $(PREFIX2)/share/doc/fbzx
	rm -rf $(PREFIX2)/share/spectrum-roms
	rm -f $(PREFIX2)/share/appdata/fbzx.appdata.xml

=== src/Makefile ===
CC=g++ -c -O2
CPP=g++ -c -O2
LN=g++ -O2

CFLAGS += `pkg-config --cflags sdl libpulse-simple alsa` -D D_SOUND_PULSE -D D_SOUND_ALSA -D D_SOUND_OSS
CPPFLAGS += `pkg-config --cflags sdl libpulse-simple alsa` -D D_SOUND_PULSE -D D_SOUND_ALSA -D D_SOUND_OSS
LDFLAGS += `pkg-config --libs sdl libpulse-simple alsa`


fbzx: cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o 
	$(LN) -o fbzx cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o  $(LDFLAGS)

Z80free.o: z80free/Z80free.c z80free/Z80free.h
	$(CC) -o Z80free.o z80free/Z80free.c

Z80free_codes.o: z80free/Z80free_codes.c z80free/Z80free.h
	$(CC) -o Z80free_codes.o z80free/Z80free_codes.c
	
Z80free_codesCB.o: z80free/Z80free_codesCB.c z80free/Z80free.h
	$(CC) -o Z80free_codesCB.o z80free/Z80free_codesCB.c

Z80free_codesED.o: z80free/Z80free_codesED.c z80free/Z80free.h
	$(CC) -o Z80free_codesED.o z80free/Z80free_codesED.c
	
Z80free_codesDD.o: z80free/Z80free_codesDD.c z80free/Z80free.h
	$(CC) -o Z80free_codesDD.o z80free/Z80free_codesDD.c
	
Z80free_codesFD.o: z80free/Z80free_codesFD.c z80free/Z80free.h
	$(CC) -o Z80free_codesFD.o z80free/Z80free_codesFD.c

Z80free_codesDDCB.o: z80free/Z80free_codesDDCB.c z80free/Z80free.h
	$(CC) -o Z80free_codesDDCB.o z80free/Z80free_codesDDCB.c
	
Z80free_codesFDCB.o: z80free/Z80free_codesFDCB.c z80free/Z80free.h
	$(CC) -o Z80free_codesFDCB.o z80free/Z80free_codesFDCB.c

cargador.o: cargador.cpp spk_ay.hh keyboard.hh emulator.hh screen.hh osd.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh cargador.hh
	$(CPP) $(CPPFLAGS) -o cargador.o cargador.cpp

cmdline.o: cmdline.cpp cmdline.hh
	$(CPP) $(CPPFLAGS) -o cmdline.o cmdline.cpp

computer.o: computer.cpp z80free/Z80free.h llsound.hh keyboard.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh spk_ay.hh microdrive.hh menus.hh
	$(CPP) $(CPPFLAGS) -o computer.o computer.cpp

emulator.o: emulator.cpp spk_ay.hh keyboard.hh llsound.hh cmdline.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh microdrive.hh menus.hh cargador.hh
	$(CPP) $(CPPFLAGS) -o emulator.o emulator.cpp

keyboard.o: keyboard.cpp menus.hh llscreen.hh llsound.hh computer.hh screen.hh signals.hh z80free/Z80free.h tape.hh emulator.hh osd.hh keyboard.hh
	$(CPP) $(CPPFLAGS) -o keyboard.o keyboard.cpp

llscreen.o: llscreen.cpp osd.hh font.h llscreen.hh
	$(CPP) $(CPPFLAGS) -o llscreen.o llscreen.cpp

llsound.o: llsound.cpp emulator.hh screen.hh osd.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh llsound.hh
	$(CPP) $(CPPFLAGS) -o llsound.o llsound.cpp

menus.o: menus.cpp spk_ay.hh microdrive.hh z80free/Z80free.h keyboard.hh llsound.hh llscreen.hh menus.hh tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh cargador.hh
	$(CPP) $(CPPFLAGS) -o menus.o menus.cpp

microdrive.o: microdrive.cpp osd.hh emulator.hh screen.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh microdrive.hh
	$(CPP) $(CPPFLAGS) -o microdrive.o microdrive.cpp

osd.o: osd.cpp osd.hh
	$(CPP) $(CPPFLAGS) -o osd.o osd.cpp

screen.o: screen.cpp keyboard.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh
	$(CPP) $(CPPFLAGS) -o screen.o screen.cpp

signals.o: signals.cpp signals.hh
	$(CPP) $(CPPFLAGS) -o signals.o signals.cpp

spk_ay.o: spk_ay.cpp spk_ay.hh llsound.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh
	$(CPP) $(CPPFLAGS) -o spk_ay.o spk_ay.cpp

tape.o: tape.cpp z80free/Z80free.h tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh llscreen.hh
	$(CPP) $(CPPFLAGS) -o tape.o tape.cpp

=== src/z80free/Makefile ===
CC = gcc -c -O1 -Wall
CCo = gcc -O1 -Wall

z80free_tester: z80free_tester.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o 
	$(CCo) -o z80free_tester z80free_tester.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o

z80free_tester.o: z80free_tester.c Z80free.h
	$(CC) -o z80free_tester.o z80free_tester.c

Z80free.o: Z80free.c Z80free.h
	$(CC) -o Z80free.o Z80free.c

Z80free_codes.o: Z80free_codes.c Z80free.h
	$(CC) -o Z80free_codes.o Z80free_codes.c
	
Z80free_codesCB.o: Z80free_codesCB.c Z80free.h
	$(CC) -o Z80free_codesCB.o Z80free_codesCB.c

Z80free_codesED.o: Z80free_codesED.c Z80free.h
	$(CC) -o Z80free_codesED.o Z80free_codesED.c
	
Z80free_codesDD.o: Z80free_codesDD.c Z80free.h
	$(CC) -o Z80free_codesDD.o Z80free_codesDD.c
	
Z80free_codesFD.o: Z80free_codesFD.c Z80free.h
	$(CC) -o Z80free_codesFD.o Z80free_codesFD.c

Z80free_codesDDCB.o: Z80free_codesDDCB.c Z80free.h
	$(CC) -o Z80free_codesDDCB.o Z80free_codesDDCB.c
	
Z80free_codesFDCB.o: Z80free_codesFDCB.c Z80free.h
	$(CC) -o Z80free_codesFDCB.o Z80free_codesFDCB.c

=== debian/changelog ===
fbzx (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use VERSIONS as the upstream changelog.
  * This release builds ok with gcc-5. Closes: #798768.
  * Drop debian/patches/01-fix-makefile-clean-target. No longer needed.
  * Drop debian/patches/04-do-not-use-O2-by-default. No longer needed.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Sep 2015 16:22:34 +0200

=== debian/control ===
Source: fbzx
Section: contrib/otherosfs
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libsdl1.2-dev
Homepage: http://www.rastersoft.com/fbzx.html
Vcs-Git: https://github.com/rastersoft/fbzx
Vcs-Browser: https://github.com/rastersoft/fbzx

Package: fbzx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, spectrum-roms (>= 20081224-1)
Description: ZX Spectrum emulator
 FBZX is a Sinclair ZX Spectrum emulator for Linux/Unix. It
 can work over X or in a FrameBuffer console.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=`pwd`/debian/fbzx

## fbzx 3.1.0

=== Makefile ===
ifdef PREFIX
	PREFIX2B=$(PREFIX)
else
	PREFIX2B=/usr/local
endif

ifdef DESTDIR
	PREFIX2=$(DESTDIR)/$(PREFIX2B)
else
	PREFIX2=$(PREFIX2B)
endif


all:
	cd src && $(MAKE)

clean:
	rm -f src/fbzx src/*.o src/*~

install:
	rm -f $(PREFIX2)/bin/fbzx
	mkdir -p $(PREFIX2)/bin
	mkdir -p $(PREFIX2)/share/fbzx
	mkdir -p $(PREFIX2)/share/applications
	mkdir -p $(PREFIX2)/share/pixmaps
	mkdir -p $(PREFIX2)/share/doc/fbzx
	mkdir -p $(PREFIX2)/share/appdata
	cp src/fbzx $(PREFIX2)/bin
	cp data/keymap.bmp $(PREFIX2)/share/fbzx
	cp data/fbzx.desktop $(PREFIX2)/share/applications
	cp data/fbzx.svg $(PREFIX2)/share/pixmaps
	cp AMSTRAD CAPABILITIES COPYING FAQ README README.TZX VERSIONS.md $(PREFIX2)/share/doc/fbzx/
	cp fbzx.appdata.xml $(PREFIX2)/share/appdata/
	chmod 644 $(PREFIX2)/share/fbzx/*
	chmod 644 $(PREFIX2)/share/doc/fbzx/*
ifndef NOROMS
	mkdir -p $(PREFIX2)/share/spectrum-roms
	cp data/spectrum-roms/* $(PREFIX2)/share/spectrum-roms
	chmod 644 $(PREFIX2)/share/spectrum-roms/*
endif

uninstall:
	rm -f $(PREFIX2)/bin/fbzx
	rm -rf $(PREFIX2)/share/fbzx
	rm -f $(PREFIX2)/share/applications/fbzx.desktop
	rm -f $(PREFIX2)/share/pixmaps/fbzx.svg
	rm -rf $(PREFIX2)/share/doc/fbzx
	rm -rf $(PREFIX2)/share/spectrum-roms
	rm -f $(PREFIX2)/share/appdata/fbzx.appdata.xml

=== src/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 LDFLAGS += `pkg-config --libs sdl libpulse-simple alsa`
 
 
-fbzx: cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o 
-	$(LN) -o fbzx cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o  $(LDFLAGS)
+fbzx: cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o mouse.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o 
+	$(LN) -o fbzx cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o mouse.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o  $(LDFLAGS)
 
 Z80free.o: z80free/Z80free.c z80free/Z80free.h
 	$(CC) -o Z80free.o z80free/Z80free.c
@@ -40,10 +40,10 @@
 cmdline.o: cmdline.cpp cmdline.hh
 	$(CPP) $(CPPFLAGS) -o cmdline.o cmdline.cpp
 
-computer.o: computer.cpp z80free/Z80free.h llsound.hh keyboard.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh spk_ay.hh microdrive.hh menus.hh
+computer.o: computer.cpp z80free/Z80free.h llsound.hh mouse.hh keyboard.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh spk_ay.hh microdrive.hh menus.hh
 	$(CPP) $(CPPFLAGS) -o computer.o computer.cpp
 
-emulator.o: emulator.cpp spk_ay.hh keyboard.hh llsound.hh cmdline.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh microdrive.hh menus.hh cargador.hh
+emulator.o: emulator.cpp mouse.hh z80free/Z80free.h spk_ay.hh keyboard.hh llsound.hh cmdline.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh microdrive.hh menus.hh cargador.hh
 	$(CPP) $(CPPFLAGS) -o emulator.o emulator.cpp
 
 keyboard.o: keyboard.cpp menus.hh llscreen.hh llsound.hh computer.hh screen.hh signals.hh z80free/Z80free.h tape.hh emulator.hh osd.hh keyboard.hh
@@ -55,11 +55,14 @@
 llsound.o: llsound.cpp emulator.hh screen.hh osd.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh llsound.hh
 	$(CPP) $(CPPFLAGS) -o llsound.o llsound.cpp
 
-menus.o: menus.cpp spk_ay.hh microdrive.hh z80free/Z80free.h keyboard.hh llsound.hh llscreen.hh menus.hh tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh cargador.hh
+menus.o: menus.cpp mouse.hh z80free/Z80free.h spk_ay.hh microdrive.hh keyboard.hh llsound.hh llscreen.hh menus.hh tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh cargador.hh
 	$(CPP) $(CPPFLAGS) -o menus.o menus.cpp
 
 microdrive.o: microdrive.cpp osd.hh emulator.hh screen.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh microdrive.hh
 	$(CPP) $(CPPFLAGS) -o microdrive.o microdrive.cpp
+
+mouse.o: mouse.cpp osd.hh keyboard.hh emulator.hh screen.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh mouse.hh
+	$(CPP) $(CPPFLAGS) -o mouse.o mouse.cpp
 
 osd.o: osd.cpp osd.hh
 	$(CPP) $(CPPFLAGS) -o osd.o osd.cpp

=== debian/changelog ===
fbzx (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 02-do-not-fiddle-with-spectrum-roms, define NOROMS=1 instead.
  * Rename single patch to 01-do-not-install-yet-another-GPL-copy.patch.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 Jan 2017 21:06:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libsdl1.2-dev
 Homepage: http://www.rastersoft.com/fbzx.html
 Vcs-Git: https://github.com/rastersoft/fbzx

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- NOROMS=1 PREFIX=/usr DESTDIR=`pwd`/debian/fbzx

## fbzx 4.8.0

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	cd src && $(MAKE)
 
 clean:
-	rm -f src/fbzx src/*.o src/*~
+	rm -f src/fbzx src/*.o src/*~ src/z80free/*.o
 
 install:
 	rm -f $(PREFIX2)/bin/fbzx
@@ -29,7 +29,7 @@
 	cp data/keymap.bmp $(PREFIX2)/share/fbzx
 	cp data/fbzx.desktop $(PREFIX2)/share/applications
 	cp data/fbzx.svg $(PREFIX2)/share/pixmaps
-	cp AMSTRAD CAPABILITIES COPYING FAQ README README.TZX VERSIONS.md $(PREFIX2)/share/doc/fbzx/
+	cp AMSTRAD CAPABILITIES COPYING FAQ README.md README.TZX HISTORY.md $(PREFIX2)/share/doc/fbzx/
 	cp fbzx.appdata.xml $(PREFIX2)/share/appdata/
 	chmod 644 $(PREFIX2)/share/fbzx/*
 	chmod 644 $(PREFIX2)/share/doc/fbzx/*

=== src/Makefile ===
FLAGS = -O2

CC=g++ -c $(FLAGS)
CXX=g++ -c $(FLAGS)
LN=g++

CFLAGS += `pkg-config --cflags sdl2 libpulse-simple alsa` -D D_SOUND_PULSE -D D_SOUND_ALSA
CXXFLAGS += `pkg-config --cflags sdl2 libpulse-simple alsa` -D D_SOUND_PULSE -D D_SOUND_ALSA
LDFLAGS += `pkg-config --libs sdl2 libpulse-simple alsa`


fbzx: cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o mouse.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o
	$(LN) -o fbzx cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o mouse.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o  $(LDFLAGS)

Z80free.o: z80free/Z80free.c z80free/Z80free.h
	$(CXX) -o Z80free.o z80free/Z80free.c

Z80free_codes.o: z80free/Z80free_codes.c z80free/Z80free.h
	$(CXX) -o Z80free_codes.o z80free/Z80free_codes.c

Z80free_codesCB.o: z80free/Z80free_codesCB.c z80free/Z80free.h
	$(CXX) -o Z80free_codesCB.o z80free/Z80free_codesCB.c

Z80free_codesED.o: z80free/Z80free_codesED.c z80free/Z80free.h
	$(CXX) -o Z80free_codesED.o z80free/Z80free_codesED.c

Z80free_codesDD.o: z80free/Z80free_codesDD.c z80free/Z80free.h
	$(CXX) -o Z80free_codesDD.o z80free/Z80free_codesDD.c

Z80free_codesFD.o: z80free/Z80free_codesFD.c z80free/Z80free.h
	$(CXX) -o Z80free_codesFD.o z80free/Z80free_codesFD.c

Z80free_codesDDCB.o: z80free/Z80free_codesDDCB.c z80free/Z80free.h
	$(CXX) -o Z80free_codesDDCB.o z80free/Z80free_codesDDCB.c

Z80free_codesFDCB.o: z80free/Z80free_codesFDCB.c z80free/Z80free.h
	$(CXX) -o Z80free_codesFDCB.o z80free/Z80free_codesFDCB.c

cargador.o: cargador.cpp spk_ay.hh keyboard.hh emulator.hh screen.hh osd.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh cargador.hh
	$(CXX) $(CXXFLAGS) -o cargador.o cargador.cpp

cmdline.o: cmdline.cpp cmdline.hh
	$(CXX) $(CXXFLAGS) -o cmdline.o cmdline.cpp

computer.o: computer.cpp z80free/Z80free.h llsound.hh mouse.hh keyboard.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh spk_ay.hh microdrive.hh menus.hh
	$(CXX) $(CXXFLAGS) -o computer.o computer.cpp

emulator.o: emulator.cpp mouse.hh z80free/Z80free.h spk_ay.hh keyboard.hh llsound.hh cmdline.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh microdrive.hh menus.hh cargador.hh
	$(CXX) $(CXXFLAGS) -o emulator.o emulator.cpp

keyboard.o: keyboard.cpp emulator.hh screen.hh osd.hh z80free/Z80free.h menus.hh llscreen.hh llsound.hh computer.hh signals.hh tape.hh keyboard.hh
	$(CXX) $(CXXFLAGS) -o keyboard.o keyboard.cpp

llscreen.o: llscreen.cpp osd.hh font.h llscreen.hh
	$(CXX) $(CXXFLAGS) -o llscreen.o llscreen.cpp

llsound.o: llsound.cpp emulator.hh screen.hh osd.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh llsound.hh
	$(CXX) $(CXXFLAGS) -o llsound.o llsound.cpp

menus.o: menus.cpp mouse.hh z80free/Z80free.h spk_ay.hh microdrive.hh keyboard.hh llsound.hh llscreen.hh menus.hh tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh cargador.hh
	$(CXX) $(CXXFLAGS) -o menus.o menus.cpp

microdrive.o: microdrive.cpp osd.hh emulator.hh screen.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh microdrive.hh
	$(CXX) $(CXXFLAGS) -o microdrive.o microdrive.cpp

mouse.o: mouse.cpp osd.hh keyboard.hh emulator.hh screen.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh mouse.hh
	$(CXX) $(CXXFLAGS) -o mouse.o mouse.cpp

osd.o: osd.cpp osd.hh
	$(CXX) $(CXXFLAGS) -o osd.o osd.cpp

screen.o: screen.cpp keyboard.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh
	$(CXX) $(CXXFLAGS) -o screen.o screen.cpp

signals.o: signals.cpp signals.hh
	$(CXX) $(CXXFLAGS) -o signals.o signals.cpp

spk_ay.o: spk_ay.cpp spk_ay.hh llsound.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh
	$(CXX) $(CXXFLAGS) -o spk_ay.o spk_ay.cpp

tape.o: tape.cpp z80free/Z80free.h tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh llscreen.hh
	$(CXX) $(CXXFLAGS) -o tape.o tape.cpp

=== src/z80free/Makefile ===
CC = gcc -c -O2 -Wall
CCo = gcc -O2 -Wall

all: z80free_tester

clean:
	rm -f *.o z80free_tester

z80free_tester: z80free_tester.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o
	$(CCo) -o z80free_tester z80free_tester.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o

z80free_tester.o: z80free_tester.c Z80free.h
	$(CC) -o z80free_tester.o z80free_tester.c

Z80free.o: Z80free.c Z80free.h
	$(CC) -o Z80free.o Z80free.c

Z80free_codes.o: Z80free_codes.c Z80free.h
	$(CC) -o Z80free_codes.o Z80free_codes.c

Z80free_codesCB.o: Z80free_codesCB.c Z80free.h
	$(CC) -o Z80free_codesCB.o Z80free_codesCB.c

Z80free_codesED.o: Z80free_codesED.c Z80free.h
	$(CC) -o Z80free_codesED.o Z80free_codesED.c

Z80free_codesDD.o: Z80free_codesDD.c Z80free.h
	$(CC) -o Z80free_codesDD.o Z80free_codesDD.c

Z80free_codesFD.o: Z80free_codesFD.c Z80free.h
	$(CC) -o Z80free_codesFD.o Z80free_codesFD.c

Z80free_codesDDCB.o: Z80free_codesDDCB.c Z80free.h
	$(CC) -o Z80free_codesDDCB.o Z80free_codesDDCB.c

Z80free_codesFDCB.o: Z80free_codesFDCB.c Z80free.h
	$(CC) -o Z80free_codesFDCB.o Z80free_codesFDCB.c

=== debian/changelog ===
fbzx (4.8.0-3) unstable; urgency=medium

  * Add debian/salsa-ci.yml.
  * Add a superficial test.
  * Include the script used to repackage source, for reference.
  * Fix location and contents of fbzx.appdata.xml file.
  * Honor dpkg-buildflags.
  * Do not trim Debian changelog.
  * Add Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 10 Jan 2025 15:10:00 +0100

fbzx (4.8.0-2) unstable; urgency=medium

  * Use secure copyright file specification URI.
  * Set upstream metadata fields Bug-Database, Bug-Submit, Repository
    and Repository-Browse.
  * Drop Vcs-Git and Vcs-Browser, superseded by the above.
  * Update standards version to 4.6.2.
  * Run wrap-and-sort.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Feb 2023 17:55:00 +0100

fbzx (4.8.0-1) unstable; urgency=medium

  * New upstream release. Closes: #960883.
  * Update Vcs-Git and Vcs-Browser control fields.

 -- Santiago Vila <sanvila@debian.org>  Tue, 04 Jan 2022 00:20:00 +0100

fbzx (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage. Closes: #978424.
  * Should now build with GCC 11. Closes: #998255.
  * Add "Rules-Requires-Root: no".
  * Update debhelper compatibility version.
  * Standards-Version: 4.5.1 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Tue, 14 Dec 2021 23:20:00 +0100

=== debian/control ===
Source: fbzx
Section: contrib/otherosfs
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libsdl2-dev
Homepage: https://rastersoft.com/programas/fbzx.html
Vcs-Git: https://salsa.debian.org/sanvila/fbzx.git
Vcs-Browser: https://salsa.debian.org/sanvila/fbzx
Rules-Requires-Root: no

Package: fbzx
Architecture: any
Depends: spectrum-roms (>= 20081224-1), ${misc:Depends}, ${shlibs:Depends}
Description: ZX Spectrum emulator
 FBZX is a Sinclair ZX Spectrum emulator for Linux/Unix. It
 can work over X or in a FrameBuffer console.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- NOROMS=1 PREFIX=/usr DESTDIR=`pwd`/debian/fbzx

override_dh_installchangelogs:
	dh_installchangelogs --no-trim

=== debian/tests/control ===
Tests: tests
Restrictions: superficial
